Page MenuHomePhabricator

[mlir][Pass] Move the registration of conversion passes to tablegen
ClosedPublic

Authored by rriddle on Mar 23 2020, 5:41 PM.

Details

Summary

This removes the need to statically register conversion passes, and also puts all of the conversions within one centralized file.

Depends On D76657

Diff Detail

Event Timeline

rriddle created this revision.Mar 23 2020, 5:41 PM
jpienaar added inline comments.Mar 26 2020, 9:56 AM
mlir/include/mlir/Conversion/Passes.td
2

What happens if one only wants to include some subset of the passes? Perhaps in a doc somewhere.

rriddle marked 2 inline comments as done.Mar 26 2020, 10:59 AM
rriddle added inline comments.
mlir/include/mlir/Conversion/Passes.td
2

That applies to all of the other documents that get generated as well. For example, if we want to split up the operations of a dialect and slice them in different ways(the current documentation for the standard dialect does this). I've been playing around with adding filtering based on some set of tags, or other identifiers. For operations there is already a desire for that, and it seems that could be equally applicable here.

rriddle marked an inline comment as done.Mar 26 2020, 12:55 PM
mehdi_amini accepted this revision.Mar 29 2020, 11:04 AM
This revision is now accepted and ready to land.Mar 29 2020, 11:04 AM
This revision was automatically updated to reflect the committed changes.